## GdictDatabaseChooser

GdictDatabaseChooser — Display the list of available databases

## Synopsis

                        GdictDatabaseChooser;
                        GdictDatabaseChooserClass;
    GtkWidget*          gdict_database_chooser_new          (void);
    GtkWidget*          gdict_database_chooser_new_with_context
                                                            (GdictContext *context);
    GdictContext*       gdict_database_chooser_get_context  (GdictDatabaseChooser *chooser);
    void                gdict_database_chooser_set_context  (GdictDatabaseChooser *chooser,
                                                             GdictContext *context);
    gchar**             gdict_database_chooser_get_databases
                                                            (GdictDatabaseChooser *chooser,
                                                             gsize length);
    gint                gdict_database_chooser_count_databases
                                                            (GdictDatabaseChooser *chooser);
    gboolean            gdict_database_chooser_has_database (GdictDatabaseChooser *chooser,
                                                             const gchar *database);
    void                gdict_database_chooser_refresh      (GdictDatabaseChooser *chooser);
    void                gdict_database_chooser_clear        (GdictDatabaseChooser *chooser);
    GtkWidget*          gdict_database_chooser_add_button   (GdictDatabaseChooser *chooser,
                                                             const gchar *button_text);
    gchar*              gdict_database_chooser_get_current_database
                                                            (GdictDatabaseChooser *chooser);
    gboolean            gdict_database_chooser_select_database
                                                            (GdictDatabaseChooser *chooser,
                                                             const gchar *db_name);
    gboolean            gdict_database_chooser_set_current_database
                                                            (GdictDatabaseChooser *chooser,
                                                             const gchar *db_name);
    gboolean            gdict_database_chooser_unselect_database
                                                            (GdictDatabaseChooser *chooser,
                                                             const gchar *db_name);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GdictDatabaseChooser

## Implemented Interfaces

GdictDatabaseChooser implements AtkImplementorIface and GtkBuildable.

## Properties

      "context"                  GdictContext          : Read / Write / Construct

## Signals

      "database-activated"                             : Run Last

## Description

Each GdictContext has a list of databases, that is dictionaries that can be queried. GdictDatabaseChooser is a widget that queries a given GdictContext and displays the list of available databases.

## Details

### GdictDatabaseChooser

    typedef struct _GdictDatabaseChooser GdictDatabaseChooser;

### GdictDatabaseChooserClass

    typedef struct {
      GtkVBoxClass parent_class;

      void (*database_activated) (GdictDatabaseChooser *chooser,
    		  	      const gchar          *name,
    			      const gchar          *description);

      void (*_gdict_padding1) (void);
      void (*_gdict_padding2) (void);
      void (*_gdict_padding3) (void);
      void (*_gdict_padding4) (void);
      void (*_gdict_padding5) (void);
      void (*_gdict_padding6) (void);
    } GdictDatabaseChooserClass;

### gdict_database_chooser_new ()

    GtkWidget*          gdict_database_chooser_new          (void);

FIXME

Returns : | FIXME

Since 0.9

### gdict_database_chooser_new_with_context ()

    GtkWidget*          gdict_database_chooser_new_with_context
                                                            (GdictContext *context);

FIXME

`context` : | a GdictContext
Returns : | FIXME

Since 0.9

### gdict_database_chooser_get_context ()

    GdictContext*       gdict_database_chooser_get_context  (GdictDatabaseChooser *chooser);

FIXME

`chooser` : | a GdictDatabaseChooser
Returns : | a GdictContext

Since

### gdict_database_chooser_set_context ()

    void                gdict_database_chooser_set_context  (GdictDatabaseChooser *chooser,
                                                             GdictContext *context);

FIXME

`chooser` : | a GdictDatabaseChooser
`context` : | a GdictContext

Since

### gdict_database_chooser_get_databases ()

    gchar**             gdict_database_chooser_get_databases
                                                            (GdictDatabaseChooser *chooser,
                                                             gsize length);

FIXME

`chooser` : | a GdictDatabaseChooser
`length` : | FIXME
Returns : | FIXME

Since

### gdict_database_chooser_count_databases ()

    gint                gdict_database_chooser_count_databases
                                                            (GdictDatabaseChooser *chooser);

`chooser` : |
Returns : |

### gdict_database_chooser_has_database ()

    gboolean            gdict_database_chooser_has_database (GdictDatabaseChooser *chooser,
                                                             const gchar *database);

FIXME

`chooser` : | a GdictDatabaseChooser
`database` : | FIXME
Returns : | FIXME

Since

### gdict_database_chooser_refresh ()

    void                gdict_database_chooser_refresh      (GdictDatabaseChooser *chooser);

Reloads the list of available databases.

`chooser` : | a GdictDatabaseChooser

Since

### gdict_database_chooser_clear ()

    void                gdict_database_chooser_clear        (GdictDatabaseChooser *chooser);

Clears `chooser`.

`chooser` : | a GdictDatabaseChooser

Since

### gdict_database_chooser_add_button ()

    GtkWidget*          gdict_database_chooser_add_button   (GdictDatabaseChooser *chooser,
                                                             const gchar *button_text);

`chooser` : |
`button_text` : |
Returns : |

### gdict_database_chooser_get_current_database ()

    gchar*              gdict_database_chooser_get_current_database
                                                            (GdictDatabaseChooser *chooser);

`chooser` : |
Returns : |

### gdict_database_chooser_select_database ()

    gboolean            gdict_database_chooser_select_database
                                                            (GdictDatabaseChooser *chooser,
                                                             const gchar *db_name);

`chooser` : |
`db_name` : |
Returns : |

### gdict_database_chooser_set_current_database ()

    gboolean            gdict_database_chooser_set_current_database
                                                            (GdictDatabaseChooser *chooser,
                                                             const gchar *db_name);

`chooser` : |
`db_name` : |
Returns : |

### gdict_database_chooser_unselect_database ()

    gboolean            gdict_database_chooser_unselect_database
                                                            (GdictDatabaseChooser *chooser,
                                                             const gchar *db_name);

`chooser` : |
`db_name` : |
Returns : |

## Property Details

### The `"context"` property

      "context"                  GdictContext          : Read / Write / Construct

The GdictContext object used to get the list of databases.

## Signal Details

### The `"database-activated"` signal

    void                user_function                      (GdictDatabaseChooser *gdictdatabasechooser,
                                                            gchar                *arg1,
                                                            gchar                *arg2,
                                                            gpointer              user_data)                 : Run Last

`gdictdatabasechooser` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.